<div class="container">
  <div
    class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom"
  >
    <h2 class="h2">Beers Collection</h2>
  </div>

  <div class="table-responsive">
    <table class="table table-bordered">
      <thead>
        <tr>
          <th scope="col">ID</th>
          <th scope="col">Name</th>
          <th scope="col">Rate</th>
          <th class="text-center" scope="col">Action</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let beer of Beers; let i = index">
          <th scope="row">{{ beer.id }}</th>
          <td>{{ beer.name }}</td>
          <td>{{ beer.rate }}</td>
          <td class="text-center">
            <button
              class="btn btn-sm btn-primary"
              routerLink="/edit-beer/{{ beer.id }}"
            >
              Edit
            </button>
            <button class="btn btn-sm btn-danger" (click)="delete(beer.id, i)">
              Delete
            </button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
